Đến nội dung


Hình ảnh
5 stars - based on 24598 reviews
- - - - -

Không Thực Hiện Được Lệnh Sendcommand


  • Please log in to reply
4 replies to this topic

#1 vienbp2004

vienbp2004

    Edu level: to3

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 19 May 2017 - 08:46 AM

( Bài đăng dành cho người sử dụng VBA)

 

Em không hiểu lắm về lệnh Sendcommand, các anh chị thành viên giúp  đở em, em có 1 yêu cầu bài toán là cho người dùng nhập vào 2 đểm, sau đó vẽ 1 đường thẳng nối 2 điểm trên sử dụng lệnh Sendcommand nhưng chương trình báo lỗi, chương trình như sau :

Sub Ve()
    Dim Diemdau As Variant
    Dim Diemcuoi As Variant
    Dim Duongthang As AcadLine
    Dim Tam(0 To 2) As Double
    
    Diemdau = ThisDrawing.Utility.GetPoint(, Chr(13) & "Nhap diem dau :")
    Diemcuoi = ThisDrawing.Utility.GetPoint(Diemdau, Chr(13) & "Nhap vao diem  thu 2  :")
    ThisDrawing.SendCommand("_line" & chr(13) & Diemdau Diemcuoi & chr(13))
        
End Sub

Bài viết đã được chỉnh sửa nội dung bởi Danh Cong: 19 May 2017 - 09:04 AM

  • 0

#2 dinhvantrang

dinhvantrang

    biết lệnh trim

  • Members
  • PipPipPip
  • 190 Bài viết
Điểm đánh giá: 54 (tàm tạm)

Đã gửi 19 May 2017 - 09:47 AM

sao không thấy nội dung code hay lỗi nhỉ?


  • 0

Series video hướng dẫn lập trình VBA cho Autocad & Excel

https://www.youtube....m54mGak6O9YSmfT


#3 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1460 Bài viết
Điểm đánh giá: 1440 (rất tốt)

Đã gửi 19 May 2017 - 09:57 AM

 

( Bài đăng dành cho người sử dụng VBA)

 

Em không hiểu lắm về lệnh Sendcommand, các anh chị thành viên giúp  đở em, em có 1 yêu cầu bài toán là cho người dùng nhập vào 2 đểm, sau đó vẽ 1 đường thẳng nối 2 điểm trên sử dụng lệnh Sendcommand nhưng chương trình báo lỗi, chương trình như sau :

Sub Ve()
    Dim Diemdau As Variant
    Dim Diemcuoi As Variant
    Dim Duongthang As AcadLine
    Dim Tam(0 To 2) As Double
    
    Diemdau = ThisDrawing.Utility.GetPoint(, Chr(13) & "Nhap diem dau :")
    Diemcuoi = ThisDrawing.Utility.GetPoint(Diemdau, Chr(13) & "Nhap vao diem  thu 2  :")
    ThisDrawing.SendCommand("_line" & chr(13) & Diemdau Diemcuoi & chr(13))
        
End Sub

 

Tham khảo :

Sub Ve()
    Dim points(1) As Variant
    points(0) = ThisDrawing.Utility.GetPoint(, "Enter StartPoint: ")
    points(1) = ThisDrawing.Utility.GetPoint(, "Enter EndPoint: ")
    ThisDrawing.SendCommand "line " & points(0)(0) & "," & points(0)(1) & "," & points(0)(2) & vbCr _
        & points(1)(0) & "," & points(1)(1) & "," & points(1)(2) & vbCr & vbCr
        
End Sub

 lỗi codebox, nhấn vô "trả lời" đề xem code:

Sub Ve()
    Dim points(1) As Variant
    points(0) = ThisDrawing.Utility.GetPoint(, "Enter StartPoint: ")
    points(1) = ThisDrawing.Utility.GetPoint(, "Enter EndPoint: ")
    ThisDrawing.SendCommand "line " & points(0)(0) & "," & points(0)(1) & "," & points(0)(2) & vbCr _
        & points(1)(0) & "," & points(1)(1) & "," & points(1)(2) & vbCr & vbCr
        
End Sub

  • 0

#4 vienbp2004

vienbp2004

    Edu level: to3

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 May 2017 - 01:49 PM

 

Tham khảo :

Sub Ve()
    Dim points(1) As Variant
    points(0) = ThisDrawing.Utility.GetPoint(, "Enter StartPoint: ")
    points(1) = ThisDrawing.Utility.GetPoint(, "Enter EndPoint: ")
    ThisDrawing.SendCommand "line " & points(0)(0) & "," & points(0)(1) & "," & points(0)(2) & vbCr _
        & points(1)(0) & "," & points(1)(1) & "," & points(1)(2) & vbCr & vbCr
        
End Sub

 lỗi codebox, nhấn vô "trả lời" đề xem code:

Sub Ve()
    Dim points(1) As Variant
    points(0) = ThisDrawing.Utility.GetPoint(, "Enter StartPoint: ")
    points(1) = ThisDrawing.Utility.GetPoint(, "Enter EndPoint: ")
    ThisDrawing.SendCommand "line " & points(0)(0) & "," & points(0)(1) & "," & points(0)(2) & vbCr _
        & points(1)(0) & "," & points(1)(1) & "," & points(1)(2) & vbCr & vbCr
        
End Sub

 


  • 0

#5 vienbp2004

vienbp2004

    Edu level: to3

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 May 2017 - 01:52 PM

 

Tham khảo :

Sub Ve()
    Dim points(1) As Variant
    points(0) = ThisDrawing.Utility.GetPoint(, "Enter StartPoint: ")
    points(1) = ThisDrawing.Utility.GetPoint(, "Enter EndPoint: ")
    ThisDrawing.SendCommand "line " & points(0)(0) & "," & points(0)(1) & "," & points(0)(2) & vbCr _
        & points(1)(0) & "," & points(1)(1) & "," & points(1)(2) & vbCr & vbCr
        
End Sub

 lỗi codebox, nhấn vô "trả lời" đề xem code:

Sub Ve()
    Dim points(1) As Variant
    points(0) = ThisDrawing.Utility.GetPoint(, "Enter StartPoint: ")
    points(1) = ThisDrawing.Utility.GetPoint(, "Enter EndPoint: ")
    ThisDrawing.SendCommand "line " & points(0)(0) & "," & points(0)(1) & "," & points(0)(2) & vbCr _
        & points(1)(0) & "," & points(1)(1) & "," & points(1)(2) & vbCr & vbCr
        
End Sub

 

 

 

 

Tham khảo :

Sub Ve()
    Dim points(1) As Variant
    points(0) = ThisDrawing.Utility.GetPoint(, "Enter StartPoint: ")
    points(1) = ThisDrawing.Utility.GetPoint(, "Enter EndPoint: ")
    ThisDrawing.SendCommand "line " & points(0)(0) & "," & points(0)(1) & "," & points(0)(2) & vbCr _
        & points(1)(0) & "," & points(1)(1) & "," & points(1)(2) & vbCr & vbCr
        
End Sub

 lỗi codebox, nhấn vô "trả lời" đề xem code:

Sub Ve()
    Dim points(1) As Variant
    points(0) = ThisDrawing.Utility.GetPoint(, "Enter StartPoint: ")
    points(1) = ThisDrawing.Utility.GetPoint(, "Enter EndPoint: ")
    ThisDrawing.SendCommand "line " & points(0)(0) & "," & points(0)(1) & "," & points(0)(2) & vbCr _
        & points(1)(0) & "," & points(1)(1) & "," & points(1)(2) & vbCr & vbCr
        
End Sub

 

 

Vẽ không theo ý muốn bạn ơi, cụ thể là  nó  không vẽ từ điểm StartPoint


  • 0